## ktnef 15.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(KTnef)

# ECM setup
find_package(ECM 5.14.0 CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings)
include(ECMQtDeclareLoggingCategory)



# FIXME: Do we want the same versions in kdepimlibs and kf5?
set(KF5_VERSION "5.14.0")
set(KTNEF_LIB_VERSION "4.79.0")
set(CALENDARCORE_LIB_VERSION "4.79.0")
set(CALENDARUTILS_LIB_VERSION "4.79.0")
set(KCONTACTS_LIB_VERSION "4.91.0") 
ecm_setup_version(${KTNEF_LIB_VERSION} VARIABLE_PREFIX KTNEF
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/ktnef_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5TnefConfigVersion.cmake"
                        SOVERSION 5
)

########### Find packages ###########
find_package(KF5KDELibs4Support ${KF5_VERSION} CONFIG REQUIRED)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Tnef")

find_package(KF5CalendarCore ${CALENDARCORE_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KCONTACTS_LIB_VERSION} CONFIG REQUIRED)


ecm_configure_package_config_file(
  "${KTnef_SOURCE_DIR}/KF5TnefConfig.cmake.in"
  "${KTnef_BINARY_DIR}/KF5TnefConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${KTnef_BINARY_DIR}/KF5TnefConfig.cmake"
  "${KTnef_BINARY_DIR}/KF5TnefConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5TnefTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5TnefTargets.cmake
        NAMESPACE KF5::
)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/ktnef_version.h
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}
   COMPONENT Devel
)


add_definitions(-DTRANSLATION_DOMAIN=\"libktnef5\")
add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
add_subdirectory(src)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

## ktnef 15.08.2

=== debian/changelog ===
ktnef (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:48:16 +0100

ktnef (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:28:20 +0100

ktnef (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:40:19 +0100

ktnef (15.07.90-0ubuntu1) wily; urgency=medium

  [ Harald Sitter ]
  * Initial release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 11:16:16 +0100

=== debian/control ===
Source: ktnef
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.12.0~),
               libkf5calendarcore-dev,
               libkf5calendarutils-dev,
               libkf5contacts-dev,
               libkf5kdelibs4support-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/kde/pim/ktnef
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/ktnef.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/ktnef.git

Package: libkf5tnef-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libkf5calendarcore-dev,
         libkf5tnef5 (= ${binary:Version}),
         ${misc:Depends}
Description: library for handling TNEF data - development files
 Ktnef is a library for handling data in the TNEF format (Transport Neutral
 Encapsulation Format, a proprietary format of e-mail attachment used by
 Microsoft Outlook and Microsoft Exchange Server). The API permits access
 to the actual attachments, the message properties (TNEF/MAPI), and allows
 one to view/extract message formatted text in Rich Text Format.
 .
 This package contains the development files.

Package: libkf5tnef5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for handling TNEF data
 Ktnef is a library for handling data in the TNEF format (Transport Neutral
 Encapsulation Format, a proprietary format of e-mail attachment used by
 Microsoft Outlook and Microsoft Exchange Server). The API permits access
 to the actual attachments, the message properties (TNEF/MAPI), and allows
 one to view/extract message formatted text in Rich Text Format.

Package: libkf5tnef-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libkf5tnef5 (= ${binary:Version}), ${misc:Depends}
Description: library for handling TNEF data - debug symbols
 Ktnef is a library for handling data in the TNEF format (Transport Neutral
 Encapsulation Format, a proprietary format of e-mail attachment used by
 Microsoft Outlook and Microsoft Exchange Server). The API permits access
 to the actual attachments, the message properties (TNEF/MAPI), and allows
 one to view/extract message formatted text in Rich Text Format.
 .
 This package contains the debug symbols.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5tnef-dbg

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

## ktnef 15.12.3

=== debian/changelog ===
ktnef (4:15.12.3-0ubuntu1.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Malicious writes during directory traversal.
      - debian/patches/directory-traversal.patch
      - Thanks to Eric Sesterhenn for reporting this issue, Albert Astals
        Cid for fixing this issue.
      - No CVE number.
      - fixes (LP: #1668552)

 -- v.naini <vishnu@vishnunaini.com>  Thu, 02 Mar 2017 20:58:12 +0530

ktnef (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 16:07:19 -0700

ktnef (4:15.12.1-0ubuntu3) xenial; urgency=medium

  * Add missing epoch kcontacts build dep. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 18:55:01 -0800

ktnef (4:15.12.1-0ubuntu2) xenial; urgency=medium

  * Add missing epochs to kcal* build depends. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 18:15:56 -0800

ktnef (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Scarlett Clark ]
  * Debian merge: No remaining changes. 
  * New upstream release (15.12.1)
  * Bump dependency version pim* 

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 11:16:55 +0100

ktnef (15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:22:04 +0100

ktnef (15.08.1-1) experimental; urgency=medium

  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 03:16:11 +0200

ktnef (15.08.0-1) experimental; urgency=medium

  * Initial Debian release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 10 Sep 2015 14:49:44 +0200

=== debian/control ===
Source: ktnef
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.14.0~),
               libkf5calendarcore-dev (>= 4:15.12.1~),
               libkf5calendarutils-dev (>= 4:15.12.1~),
               libkf5contacts-dev (>= 4:15.12.1~), 
               libkf5kdelibs4support-dev (>= 5.14.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.2.0~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/ktnef
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/ktnef.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/ktnef.git

Package: libkf5tnef-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libkf5calendarcore-dev (>= 4.79.0~),
         libkf5tnef5 (= ${binary:Version}),
         ${misc:Depends}
Description: library for handling TNEF data - development files
 Ktnef is a library for handling data in the TNEF format (Transport Neutral
 Encapsulation Format, a proprietary format of e-mail attachment used by
 Microsoft Outlook and Microsoft Exchange Server). The API permits access
 to the actual attachments, the message properties (TNEF/MAPI), and allows
 one to view/extract message formatted text in Rich Text Format.
 .
 This package contains the development files.

Package: libkf5tnef5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for handling TNEF data
 Ktnef is a library for handling data in the TNEF format (Transport Neutral
 Encapsulation Format, a proprietary format of e-mail attachment used by
 Microsoft Outlook and Microsoft Exchange Server). The API permits access
 to the actual attachments, the message properties (TNEF/MAPI), and allows
 one to view/extract message formatted text in Rich Text Format.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --ddeb-migration='libkf5tnef-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

## ktnef 16.04.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project(KTnef)
 
 # ECM setup
-find_package(ECM 5.14.0 CONFIG REQUIRED)
+find_package(ECM 5.19.0 CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(GenerateExportHeader)
@@ -14,17 +14,17 @@
 include(FeatureSummary)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDEFrameworkCompilerSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(ECMQtDeclareLoggingCategory)
 
 
 
 # FIXME: Do we want the same versions in kdepimlibs and kf5?
-set(KF5_VERSION "5.14.0")
-set(KTNEF_LIB_VERSION "4.79.0")
-set(CALENDARCORE_LIB_VERSION "4.79.0")
-set(CALENDARUTILS_LIB_VERSION "4.79.0")
-set(KCONTACTS_LIB_VERSION "4.91.0") 
+set(KF5_VERSION "5.19.0")
+set(KTNEF_LIB_VERSION "5.2.2")
+set(CALENDARCORE_LIB_VERSION "5.2.0")
+set(CALENDARUTILS_LIB_VERSION "5.2.0")
+set(KCONTACTS_LIB_VERSION "5.2.0")
 ecm_setup_version(${KTNEF_LIB_VERSION} VARIABLE_PREFIX KTNEF
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/ktnef_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5TnefConfigVersion.cmake"

=== src/CMakeLists.txt ===
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)

set(ktnef_SRCS
  ktnefparser.cpp
  ktnefproperty.cpp
  ktnefattach.cpp
  mapi.cpp
  ktnefpropertyset.cpp
  ktnefmessage.cpp
  ktnefwriter.cpp
  lzfu.cpp
  formatter.cpp
)

ecm_qt_declare_logging_category(ktnef_SRCS HEADER ktnef_debug.h IDENTIFIER KTNEF_LOG CATEGORY_NAME log_ktnef)

add_library(KF5Tnef ${ktnef_SRCS})

generate_export_header(KF5Tnef BASE_NAME ktnef)

add_library(KF5::Tnef ALIAS KF5Tnef)

target_include_directories(KF5Tnef INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KTNEF;${Boost_INCLUDE_DIR}>")
target_include_directories(KF5Tnef PUBLIC "$<BUILD_INTERFACE:${KTnef_SOURCE_DIR}/src;${KTnef_BINARY_DIR}/src>")

target_link_libraries(KF5Tnef
PUBLIC
  KF5::CalendarCore
PRIVATE
  KF5::KDELibs4Support
  KF5::CalendarUtils
  KF5::Contacts
)

set_target_properties(KF5Tnef PROPERTIES
    VERSION ${KTNEF_VERSION_STRING}
    SOVERSION ${KTNEF_SOVERSION}
    EXPORT_NAME Tnef
)

install(TARGETS KF5Tnef EXPORT KF5TnefTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(KTnef_CamelCase_HEADERS
  HEADER_NAMES
  Formatter
  KTNEFAttach
  KTNEFDefs
  KTNEFMessage
  KTNEFParser
  KTNEFProperty
  KTNEFPropertySet
  KTNEFWriter
  PREFIX KTNEF
  REQUIRED_HEADERS KTnef_HEADERS
)

install(FILES ${KTnef_CamelCase_HEADERS} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KTNEF/KTNEF/ COMPONENT Devel)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/ktnef_export.h
    ${KTnef_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KTNEF/ktnef
    COMPONENT Devel
)

ecm_generate_pri_file(BASE_NAME KTNef LIB_NAME KF5TNef DEPS "CalendarCore" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KTNEF)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
ktnef (16.04.2-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update symbols files from buildds logs (16.04.1-1).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Jun 2016 14:55:19 +0200

ktnef (16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update symbols files from buildds logs (15.12.0-2).
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update install files
  * Add missing build dependency

 -- Maximiliano Curia <maxy@debian.org>  Wed, 01 Jun 2016 11:48:54 +0200

ktnef (15.12.0-2) experimental; urgency=medium

  * Bump build dependencies to match packages versions, and not
    libraries versions.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Feb 2016 10:08:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,28 @@
 Source: ktnef
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.14.0~),
-               libkf5calendarcore-dev (>= 4:15.12.1~),
-               libkf5calendarutils-dev (>= 4:15.12.1~),
-               libkf5contacts-dev (>= 4:15.12.1~), 
-               libkf5kdelibs4support-dev (>= 5.14.0~),
+               extra-cmake-modules (>= 5.19.0~),
+               libical-dev,
+               libkf5calendarcore-dev (>= 4:15.12~),
+               libkf5calendarutils-dev (>= 15.12~),
+               libkf5contacts-dev (>= 15.12~),
+               libkf5kdelibs4support-dev (>= 5.19.0~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.2.0~)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/pim/ktnef
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/ktnef.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/ktnef.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/ktnef.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/ktnef.git
 
 Package: libkf5tnef-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Depends: libkf5calendarcore-dev (>= 4.79.0~),
+Depends: libkf5calendarcore-dev (>= 4:15.12~),
          libkf5tnef5 (= ${binary:Version}),
          ${misc:Depends}
 Description: library for handling TNEF data - development files

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5tnef-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

## ktnef 16.04.3

=== debian/changelog ===
ktnef (4:16.04.3-0ubuntu2) zesty; urgency=medium

  * SECURITY UPDATE: Malicious writes during directory traversal.
      - debian/patches/directory-traversal.patch
      - Thanks to Eric Sesterhenn for reporting this issue, Albert Astals
        Cid for fixing this issue.
      - No CVE number.
      - fixes (LP: #1668552)

 -- v.naini <vishnu@vishnunaini.com>  Wed, 01 Mar 2017 13:53:49 +0530

ktnef (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release
  * Bump SO version in install file. 

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

  [ Rik Mills ]
  * Refreshing symbols and removing MISSING

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:44:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,28 @@
 Source: ktnef
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.19.0~),
-               libical-dev,
-               libkf5calendarcore-dev (>= 4:15.12~),
-               libkf5calendarutils-dev (>= 15.12~),
-               libkf5contacts-dev (>= 15.12~),
-               libkf5kdelibs4support-dev (>= 5.19.0~),
+               extra-cmake-modules (>= 5.24.0~),
+               libkf5calendarcore-dev (>= 4:16.04.3~),
+               libkf5calendarutils-dev (>= 4:16.04.3~),
+               libkf5contacts-dev (>= 4:16.04.3~),
+               libkf5kdelibs4support-dev (>= 5.24.0~),
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.2.0~)
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.6.1~)
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/pim/ktnef
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/ktnef.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/ktnef.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktnef
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktnef
 
 Package: libkf5tnef-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Depends: libkf5calendarcore-dev (>= 4:15.12~),
+Depends: libkf5calendarcore-dev (>= 4:16.04.3~),
          libkf5tnef5 (= ${binary:Version}),
          ${misc:Depends}
 Description: library for handling TNEF data - development files

## ktnef 17.04.3

=== debian/changelog ===
ktnef (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Add libkf5tnef-data installing the translations
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:31:33 +0100

ktnef (4:16.12.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (16.12.3)

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

  [ Darin Miller ]
  * New upstream release (16.12.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:25:48 +0100

=== debian/control ===
Source: ktnef
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5calendarcore-dev (>= 4:17.04.3~),
               libkf5calendarutils-dev (>= 4:17.04.3~),
               libkf5contacts-dev (>= 4:17.04.3~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/ktnef
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktnef
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktnef

Package: libkf5tnef-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libkf5calendarcore-dev (>= 4:17.04.3~),
         libkf5tnef5 (= ${binary:Version}),
         ${misc:Depends}
Description: library for handling TNEF data - development files
 Ktnef is a library for handling data in the TNEF format (Transport Neutral
 Encapsulation Format, a proprietary format of e-mail attachment used by
 Microsoft Outlook and Microsoft Exchange Server). The API permits access
 to the actual attachments, the message properties (TNEF/MAPI), and allows
 one to view/extract message formatted text in Rich Text Format.
 .
 This package contains the development files.

Package: libkf5tnef5
Architecture: any
Multi-Arch: same
Depends: libkf5tnef-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library for handling TNEF data
 Ktnef is a library for handling data in the TNEF format (Transport Neutral
 Encapsulation Format, a proprietary format of e-mail attachment used by
 Microsoft Outlook and Microsoft Exchange Server). The API permits access
 to the actual attachments, the message properties (TNEF/MAPI), and allows
 one to view/extract message formatted text in Rich Text Format.

Package: libkf5tnef-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: library for handling TNEF data - data files
 Ktnef is a library for handling data in the TNEF format (Transport Neutral
 Encapsulation Format, a proprietary format of e-mail attachment used by
 Microsoft Outlook and Microsoft Exchange Server). The API permits access
 to the actual attachments, the message properties (TNEF/MAPI), and allows
 one to view/extract message formatted text in Rich Text Format.

## ktnef 17.12.3

=== autotests/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

include(ECMAddTests)
set(QT_REQUIRED_VERSION "5.8.0")
find_package(Qt5Test ${QT_REQUIRED_VERSION} CONFIG REQUIRED)


configure_file(config-ktnef-tests.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-ktnef-tests.h)

ecm_add_tests( parsertest.cpp NAME_PREFIX "ktnetf-" LINK_LIBRARIES KF5Tnef Qt5::Test)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,3 @@
-remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)
 
 set(ktnef_SRCS
   ktnefparser.cpp
@@ -12,7 +11,7 @@
   formatter.cpp
 )
 
-ecm_qt_declare_logging_category(ktnef_SRCS HEADER ktnef_debug.h IDENTIFIER KTNEF_LOG CATEGORY_NAME log_ktnef)
+ecm_qt_declare_logging_category(ktnef_SRCS HEADER ktnef_debug.h IDENTIFIER KTNEF_LOG CATEGORY_NAME org.kde.pim.ktnef)
 
 add_library(KF5Tnef ${ktnef_SRCS})
 
@@ -20,16 +19,16 @@
 
 add_library(KF5::Tnef ALIAS KF5Tnef)
 
-target_include_directories(KF5Tnef INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KTNEF;${Boost_INCLUDE_DIR}>")
+target_include_directories(KF5Tnef INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KTNEF>")
 target_include_directories(KF5Tnef PUBLIC "$<BUILD_INTERFACE:${KTnef_SOURCE_DIR}/src;${KTnef_BINARY_DIR}/src>")
 
 target_link_libraries(KF5Tnef
 PUBLIC
   KF5::CalendarCore
 PRIVATE
-  KF5::KDELibs4Support
   KF5::CalendarUtils
   KF5::Contacts
+  KF5::I18n
 )
 
 set_target_properties(KF5Tnef PROPERTIES

=== debian/changelog ===
ktnef (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:31:01 +0000

ktnef (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * Follow debian marking -dev packages as Multi-Arch: same
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:45:35 +0000

ktnef (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:10:24 +0000

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5calendarcore-dev (>= 4:17.04.3~),
-               libkf5calendarutils-dev (>= 4:17.04.3~),
-               libkf5contacts-dev (>= 4:17.04.3~),
+               libkf5calendarcore-dev (>= 4:17.12.3~),
+               libkf5calendarutils-dev (>= 4:17.12.3~),
+               libkf5contacts-dev (>= 4:17.12.3~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~)
@@ -20,8 +20,8 @@
 Package: libkf5tnef-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: foreign
-Depends: libkf5calendarcore-dev (>= 4:17.04.3~),
+Multi-Arch: same
+Depends: libkf5calendarcore-dev (>= 4:17.12.3~),
          libkf5tnef5 (= ${binary:Version}),
          ${misc:Depends}
 Description: library for handling TNEF data - development files

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ktnef-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/ktnef-([\d.]+).tar.xz

## ktnef 18.04.3

=== debian/changelog ===
ktnef (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * Update symbols
  * New upstream release (18.03.80)
  * Install debug categories files
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:54:39 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5calendarcore-dev (>= 4:17.12.3~),
-               libkf5calendarutils-dev (>= 4:17.12.3~),
-               libkf5contacts-dev (>= 4:17.12.3~),
+               libkf5calendarcore-dev (>= 4:18.04.3~),
+               libkf5calendarutils-dev (>= 4:18.04.3~),
+               libkf5contacts-dev (>= 4:18.04.3~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/pim/ktnef
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktnef
@@ -21,9 +21,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5calendarcore-dev (>= 4:17.12.3~),
+Depends: libkf5calendarcore-dev (>= 4:18.04.3~),
          libkf5tnef5 (= ${binary:Version}),
-         ${misc:Depends}
+         ${misc:Depends},
 Description: library for handling TNEF data - development files
  Ktnef is a library for handling data in the TNEF format (Transport Neutral
  Encapsulation Format, a proprietary format of e-mail attachment used by

## ktnef 18.08.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
set(PIM_VERSION "5.9.3")

project(KTnef VERSION ${PIM_VERSION})

set(KF5_VERSION "5.47.0")

find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMCoverageOption)



set(KTNEF_LIB_VERSION ${PIM_VERSION})
set(CALENDARCORE_LIB_VERSION "5.9.3")
set(CALENDARUTILS_LIB_VERSION "5.9.3")
set(KCONTACTS_LIB_VERSION "5.9.3")
set(QT_REQUIRED_VERSION "5.9.0")
ecm_setup_version(PROJECT VARIABLE_PREFIX KTNEF
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/ktnef_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5TnefConfigVersion.cmake"
                        SOVERSION 5
)

########### Find packages ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Tnef")

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets)
find_package(KF5CalendarCore ${CALENDARCORE_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KCONTACTS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)

add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
#add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

configure_package_config_file(
  "${KTnef_SOURCE_DIR}/KF5TnefConfig.cmake.in"
  "${KTnef_BINARY_DIR}/KF5TnefConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${KTnef_BINARY_DIR}/KF5TnefConfig.cmake"
  "${KTnef_BINARY_DIR}/KF5TnefConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5TnefTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5TnefTargets.cmake
        NAMESPACE KF5::
)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/ktnef_version.h
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}
   COMPONENT Devel
)


add_definitions(-DTRANSLATION_DOMAIN=\"libktnef5\")
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_subdirectory(src)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

install( FILES ktnef.renamecategories ktnef.categories DESTINATION ${KDE_INSTALL_CONFDIR} )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== debian/changelog ===
ktnef (4:18.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.3.0 (No changes needed).
  * Removed acc autopkgtest.
  * Removed testsuite autopkgtest.

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 16:00:31 +0100

ktnef (4:18.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * Follow stable releases in KDE again.
  * New upstream release (18.08.1).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:19:33 +0200

ktnef (4:18.07.90-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update watch file to match unstable releases, too.
  * New upstream release (18.07.90).
  * Bump Standards-Version to 4.2.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 18.07.90.

 -- Sandro Knauß <hefee@debian.org>  Sat, 18 Aug 2018 11:49:16 +0200

ktnef (4:17.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.3).
  * Update build-deps and deps with the info from cmake.
  * bump epoch in symbolsfiles to match version of the package.
  * use secure copyright format uri.

 -- Sandro Knauß <hefee@debian.org>  Sat, 31 Mar 2018 18:26:55 +0200

ktnef (4:17.12.2-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.2).
  * Update Vcs links to salsa.
  * Update build-deps and deps with the info from cmake
  * Remove not needed Build-Deps.
  * Update copyright file.
  * Enable build tests.
  * Bump debhelper build-dep and compat to 11.

 -- Sandro Knauß <hefee@debian.org>  Fri, 09 Mar 2018 15:15:14 +0100

ktnef (4:17.08.3-2) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * mark libkf5tnef-dev as Multi-Arch: same

  [ Pino Toscano ]
  * Bump Standards-Version to 4.1.3, no changes required.
  * Simplify watch file, and switch it to https.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Jan 2018 10:47:07 +0100

ktnef (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.08.3) (Closes: #856321).
  * Get rid of unnessary break/replaces of kde-l10n-(ast|eo).
  * Bump Standards-Version to 4.1.2 (No changes needed).
  * Mark libkf5tnef-dev not as Multi-Arch: foreign.
  * Update build-deps and deps with the info from cmake.
  * Remove not needed Build-Deps. (Closes: #884292)
  * Bump debhelper build-dep and compat to 10.
  * Update symbols from buildds for 4:17.08.0
  * Set l10npkgs_firstversion_ok to 4:16.04.3-9~

 -- Sandro Knauß <hefee@debian.org>  Thu, 21 Dec 2017 17:58:13 +0100

ktnef (4:17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Bump Standards-Version to 4.0.1.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (17.08)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 01 Sep 2017 22:21:51 +0200

ktnef (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:40:24 +0000

ktnef (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:24:19 +0000

ktnef (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:23:39 +0000

ktnef (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:24:39 +0000

ktnef (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:06:18 +0000

ktnef (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:50:20 +0000

ktnef (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:02:25 +0000

ktnef (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:22:49 +0000

ktnef (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:31:03 +0000

ktnef (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:54:49 +0000

ktnef (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:40:57 +0000

ktnef (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:08:05 +0000

ktnef (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:49:44 +0000

ktnef (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Aug 2016 12:51:24 +0000

=== debian/control ===
Source: ktnef
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.47.0~),
               libkf5calendarcore-dev (>= 4:18.08.3~),
               libkf5calendarutils-dev (>= 4:18.08.3~),
               libkf5contacts-dev (>= 4:18.08.3~),
               libkf5i18n-dev (>= 5.47.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.9.0~),
Standards-Version: 4.3.0
Homepage: https://projects.kde.org/projects/kde/pim/ktnef
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktnef
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktnef.git

Package: libkf5tnef-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5calendarcore-dev (>= 4:18.08.3~),
         libkf5tnef5 (= ${binary:Version}),
         ${misc:Depends},
Description: library for handling TNEF data - development files
 Ktnef is a library for handling data in the TNEF format (Transport Neutral
 Encapsulation Format, a proprietary format of e-mail attachment used by
 Microsoft Outlook and Microsoft Exchange Server). The API permits access
 to the actual attachments, the message properties (TNEF/MAPI), and allows
 one to view/extract message formatted text in Rich Text Format.
 .
 This package contains the development files.

Package: libkf5tnef5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepim-addons (<< 17.08), ktnef (<< 4:17.08), ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: library for handling TNEF data
 Ktnef is a library for handling data in the TNEF format (Transport Neutral
 Encapsulation Format, a proprietary format of e-mail attachment used by
 Microsoft Outlook and Microsoft Exchange Server). The API permits access
 to the actual attachments, the message properties (TNEF/MAPI), and allows
 one to view/extract message formatted text in Rich Text Format.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-9~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5tnef-dbg (<= 15.12.0-1~~)'

## ktnef 18.12.3

=== debian/changelog ===
ktnef (4:18.12.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild for fixed akonadi server.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 17:47:06 +0100

ktnef (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Mar 2019 15:06:37 +0000

ktnef (4:18.04.3-0ubuntu2) disco; urgency=medium

  * Follow Debian dropping of autotests.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 06 Feb 2019 19:02:34 +0000

=== debian/control ===
Source: ktnef
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5calendarcore-dev (>= 4:18.12.3~),
               libkf5calendarutils-dev (>= 4:18.12.3~),
               libkf5contacts-dev (>= 4:18.12.3~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/ktnef
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktnef
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktnef

Package: libkf5tnef-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5calendarcore-dev (>= 4:18.12.3~),
         libkf5tnef5 (= ${binary:Version}),
         ${misc:Depends},
Description: library for handling TNEF data - development files
 Ktnef is a library for handling data in the TNEF format (Transport Neutral
 Encapsulation Format, a proprietary format of e-mail attachment used by
 Microsoft Outlook and Microsoft Exchange Server). The API permits access
 to the actual attachments, the message properties (TNEF/MAPI), and allows
 one to view/extract message formatted text in Rich Text Format.
 .
 This package contains the development files.

Package: libkf5tnef5
Architecture: any
Multi-Arch: same
Depends: libkf5tnef-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library for handling TNEF data
 Ktnef is a library for handling data in the TNEF format (Transport Neutral
 Encapsulation Format, a proprietary format of e-mail attachment used by
 Microsoft Outlook and Microsoft Exchange Server). The API permits access
 to the actual attachments, the message properties (TNEF/MAPI), and allows
 one to view/extract message formatted text in Rich Text Format.

Package: libkf5tnef-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: library for handling TNEF data - data files
 Ktnef is a library for handling data in the TNEF format (Transport Neutral
 Encapsulation Format, a proprietary format of e-mail attachment used by
 Microsoft Outlook and Microsoft Exchange Server). The API permits access
 to the actual attachments, the message properties (TNEF/MAPI), and allows
 one to view/extract message formatted text in Rich Text Format.

## ktnef 19.04.3

=== debian/changelog ===
ktnef (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jul 2019 18:56:14 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5calendarcore-dev (>= 4:18.12.3~),
-               libkf5calendarutils-dev (>= 4:18.12.3~),
-               libkf5contacts-dev (>= 4:18.12.3~),
+               libkf5calendarcore-dev (>= 4:19.04.3~),
+               libkf5calendarutils-dev (>= 4:19.04.3~),
+               libkf5contacts-dev (>= 4:19.04.3~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~),
@@ -21,7 +21,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5calendarcore-dev (>= 4:18.12.3~),
+Depends: libkf5calendarcore-dev (>= 4:19.04.3~),
          libkf5tnef5 (= ${binary:Version}),
          ${misc:Depends},
 Description: library for handling TNEF data - development files

## ktnef 19.08.3

=== debian/changelog ===
ktnef (4:19.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Sat, 30 Nov 2019 22:55:18 +0100

ktnef (4:19.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.2).
  * Update build-deps and deps with the info from cmake.
  * Remove breaks against kde-l10n packages.
  * Update install files for new upstream release.

 -- Sandro Knauß <hefee@debian.org>  Fri, 08 Nov 2019 10:40:47 +0100

ktnef (4:18.08.3-3) unstable; urgency=medium

  * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Nov 2019 23:50:38 +0100

ktnef (4:18.08.3-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.1 (No changes needed).
  * Bump compat level to 12.
  * Add myself to Uploaders.
  * Delete not needed Breaks/Confilcts.
  * Use virtual packages to bundle KDEPIM.
  * Enforce depdendencies between KDEPIM packages to enable bundling.

 -- Sandro Knauß <hefee@debian.org>  Sun, 06 Oct 2019 22:41:53 +0200

=== debian/control ===
Source: ktnef
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.60.0~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5calendarutils-dev (>= 4:19.08.3~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5i18n-dev (>= 5.60.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.11.0~)
Standards-Version: 4.4.1
Homepage: https://projects.kde.org/projects/kde/pim/ktnef
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktnef
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktnef.git

Package: libkf5tnef-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5calendarcore-dev (>= 4:19.08.3~),
         libkf5tnef5 (= ${binary:Version}),
         ${misc:Depends}
Description: library for handling TNEF data - development files
 Ktnef is a library for handling data in the TNEF format (Transport Neutral
 Encapsulation Format, a proprietary format of e-mail attachment used by
 Microsoft Outlook and Microsoft Exchange Server). The API permits access
 to the actual attachments, the message properties (TNEF/MAPI), and allows
 one to view/extract message formatted text in Rich Text Format.
 .
 This package contains the development files.

Package: libkf5tnef5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for handling TNEF data
 Ktnef is a library for handling data in the TNEF format (Transport Neutral
 Encapsulation Format, a proprietary format of e-mail attachment used by
 Microsoft Outlook and Microsoft Exchange Server). The API permits access
 to the actual attachments, the message properties (TNEF/MAPI), and allows
 one to view/extract message formatted text in Rich Text Format.
Provides: ${ABI:VirtualPackage}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

AbiVirtualPackageVersion = $(call dpkg_late_eval,AbiVirtualPackageVersion,echo '${DEB_VERSION_UPSTREAM}' | sed -e 's/\.[0-9]\+$$//')
pkgs_lib = $(filter-out %-dev %-doc %-dbg %-data %-bin %-plugins,$(filter lib%,$(shell dh_listpackages)))

override_dh_makeshlibs:
	for pkg in $(pkgs_lib); do \
		name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
		echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
		$(overridden_command) -p$${pkg} -V "$${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
	done

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5tnef-dbg (<= 15.12.0-1~~)'
